Package org.apache.torque.generator.processor.string

# Class WrapReservedJavaWords

java.lang.Object
org.apache.torque.generator.processor.string.WrapReservedJavaWords

All Implemented Interfaces:
  `StringProcessor`

public class WrapReservedJavaWords extends Object implements StringProcessor
Processes an input String as follows: If the input String is a reserved word in java, a suffix and/or prefix is appended to the input String and the result is returned; otherwise the input string is returned unchanged.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WrapReservedJavaWords()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `process(String toProcess)`
  Checks whether the input is a reserved java word.
  `void`
  `setAppendWhenReserved(String suffix)`
  Sets the suffix to be appended if the input is a reserved word.
  `void`
  `setPrependWhenReserved(String prefix)`
  Sets the prefix to be prepended if the input is a reserved word.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WrapReservedJavaWords

    public WrapReservedJavaWords()

- ## Method Details

  - ### setPrependWhenReserved

    public void setPrependWhenReserved(String prefix)
    Sets the prefix to be prepended if the input is a reserved word.
    Parameters:
      `prefix` - the new prefix, not null.
    Throws:
      `NullPointerException` - if prefix is null.

  - ### setAppendWhenReserved

    public void setAppendWhenReserved(String suffix)
    Sets the suffix to be appended if the input is a reserved word.
    Parameters:
      `suffix` - the new suffix, not null.
    Throws:
      `NullPointerException` - if suffix is null.

  - ### process

    public String process(String toProcess)
    Checks whether the input is a reserved java word. If yes, prefix and suffix are prepended and appended, and the result is returned. If no, the input is returned unchanged.
    Specified by:
      `process` in interface `StringProcessor`
    Parameters:
      `toProcess` - the input.
    Returns:
      the output.